Subject: bug#24402: should-error doesn't catch all errors

From: [email-masked]
Date: Mon, 07 Aug 2017 21:15:14 -0400

tags 24402 fixed
close 24402 26.1
quit

Sorry for the delay, I was moving apartment, and then I got a bit
distracted by my 'grep --null' mess.

Gemini Lasswell <[email-masked]> writes:

> [email-masked] writes:
>
>> The following appears to fix it, though perhaps we should use a smarter
>> equal function that would consider the circular lists to actually be
>> equal instead of bailing out and returning nil on circularity.
>
> Thanks for tracking this one down and making a patch, which looks good
> to me. Does that smarter equal function already exist? It doesn't seem
> worth the effort of writing one for this purpose only.

Yeah, I left it as is with a TODO.  We can fix it later if it turns out
to cause an actual problem.

> Here is a test to add to your patch, which fails without it and passes
> with it:

Thanks, I pushed it to master along with the others.

[1: 054c198c12]: 2017-08-07 18:43:54 -0400
  Catch argument and macroexpansion errors in ert
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=054c198c120c1f01a8ff753892d52710b740acc6

[2: 95a04fd26c]: 2017-08-07 18:43:55 -0400
  ; Avoid test failures when running from compiled test files
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=95a04fd26c91e6c6c9191a629d26886f136e30fc

[3: 0508045ed7]: 2017-08-07 18:54:44 -0400
  Don't error on circular values in testcover
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=0508045ed7159bce5b5ea3b5fb72cf78b8b4ee8e

[4: 00f7e31110]: 2017-08-07 18:54:48 -0400
  Add a test of handling of circular values to testcover-tests
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=00f7e31110a27e568529192d7441d9631b9096bc